%% CreateResultsTable
% This file creates the table of results for the iterative invariant
% set calculation.  The value of v is set in this file and should be
% commented out in the IterativeInvariantSet.m file.

%% Multiplier Degrees
vdata = [0 1 2 4 8];  %[1 2 4 8]
Nv = numel(vdata);

%% Run Iterative Invariant Set Algorithm 
OptCostAll = [];
tAll = zeros(Nv,1);
for j=1:Nv
    v = vdata(j);
    tic
    IterativeInvariantSet;
    tAll(j) = toc;
    OptCostAll = [OptCostAll OptCost];
end

%% Print Latex Friendly-Table
[Nr,Nc]=size(OptCostAll);
fprintf('\n');
for i=1:Nr
    for j=1:Nc
        fprintf(' %4.2f ',OptCostAll(i,j));
        if j<Nc
            fprintf(' & ');
        end
    end
    fprintf(' \\\\');
    fprintf(' \n');
end